sane-canon_lide70(5)

BEZEICHNUNG
sane-canon_lide70 - SANE-Backend für die USB-Flachbettscanner LiDE 70 und 600(F) von Canon

BESCHREIBUNG
Die Bibliothek canon_lide70 implementiert ein SANE-(Scanner Access Now Easy) Backend zum Zugriff auf die Flachbettscanner CanoScan LiDE 70 und 600(F) von Canon Inc. Die Durchlichteinheit des LiDE 600F wird nicht unterstützt.

Wegen der Weigerung von Canon, Scanner-Dokumentation bereitzustellen, wurde diese Software aufgrund von Analysen des USB-Datenverkehrs des Windows-XP-Treibers entwickelt. Die genaue Bedeutung der einzelnen an den Scanner gesendeten Befehle ist nur in einem sehr begrenzten Umfang bekannt. Einige der im Windows XP-Treiber vorhandenen Feinheiten konnten nicht umgesetzt werden. Es gibt beispielsweise keine aktive Kalibrierung.

Tester und Rezensenten sind willkommen. Senden Sie Ihre Fehlerberichte und Kommentare (auf Englisch) an die Mailingliste der SANE-Entwickler: <sane-devel@alioth-lists.debian.net>.

KONFIGURATION
Die Datei /etc/sane.d/canon_lide70.conf identifiziert den LiDE 70 anhand dessen Anbietercode 0x04a9 und Produktcode 0x2225. Für den LiDE 600(f) ist der Produktcode 0x2224.

BACKEND-SPEZIFISCHE OPTIONEN
Scanmodus:

--resolution 75|150|300|600|1200 [Vorgabe 600]
    Gibt die Auflösung des eingescannten Bildes in Punkten pro Zoll (dpi) an. Scannen mit 1200 dpi ist auf dem LiDE 600(F) nicht verfügbar und ist auf dem LiDE 70 sehr langsam.

--mode Color|Gray|Lineart [Vorgabe: Color]
    wählt den Scanmodus. Lineart bedeutet nur vollständig schwarze und vollständig weiße Pixel.

--threshold 0..100 (in 1er Schritten) [Vorgabe: 75]
    wählt den minimalen Helligkeits-Prozentsatz zum Erhalten eines Weißpunkts. Dies ist nur im Lineart-Modus relevant.

--non-blocking[=(yes|no)] [inaktiv]
    Diese Option wurde noch nicht implementiert. Die Scans werden in einer temporären Datei mit einer typischen Größe von 100 MB gespeichert.

Geometrie:

-l 0..216.069 [Vorgabe: 0]
    Obere linke x-Position des Scanbereichs in Millimetern.

-t 0..297 [Vorgabe: 0]
    Obere linke y-Position des Scanbereichs in Millimetern.

-x 0..216.069 [Vorgabe: 80]
    Breite des Scanbereichs in Millimetern.

-y 0..297 [Vorgabe: 100]
    Höhe des Scanbereichs in Millimetern.

DATEIEN

/etc/sane.d/canon_lide70.conf
    Die Backend-Konfigurationsdatei.

/usr/lib/sane/libsane-canon_lide70.a
    Die statische Bibliothek, die dieses Backend implementiert.

/usr/lib/sane/libsane-canon_lide70.so
    Die dynamische Bibliothek, die dieses Backend implementiert (auf Systemen verfügbar, die dynamisches Laden unterstützen).

UMGEBUNGSVARIABLEN

SANE_DEBUG_CANON_LIDE70
    Falls die Bibliothek mit Debug-Unterstützung kompiliert wurde, steuert diese Umgebungsvariable die Debug-Stufe für dieses Backend. Größere Werte erhöhen die Ausführlichkeit der Ausgabe. Beispiel:
    SANE_DEBUG_CANON_LIDE70=128 scanimage > /dev/null

BEKANNTE PROBLEME
Bei geringen Auflösungen (75 und 150 dpi, was höhere Vorschubgeschwindigkeiten impliziert) verfehlt der LiDE 70 den obersten Millimeter des Scanbereichs. Das kann dadurch behoben werden, dass Sie das Dokument einen Millimeter nach unten verschieben, sofern diese Präzision vonnöten ist. Beachten Sie, dass xsane(1) den 75-dpi-Modus für Vorschauscans verwendet. Dieses Problem wird auf dem LiDE 600(F) noch verschärft, da der Versatz auf diesem Scanner fünf Millimeter beträgt.

SIEHE AUCH
sane(7), sane-usb(5), sane-find-scanner(1), scanimage(1), xsane(1),
http://www.juergen-ernst.de/info_sane.html

AUTOR
pimvantend, basierend auf der Pionierarbeit von Jürgen Ernst.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.